<?php
require(dirname(__FILE__) .'/check.php');
$skin->CheckIframe();


/* **** 版权所有 ****

 程序开发：网钛科技
 网钛CMS官网：http://otcms.com
 网钛IDC官网：http://idccms.com
 ＱＱ：877873666
 微信：QQ877873666
 邮箱：877873666@qq.com

 **** 版权所有 **** */


//打开用户表，并检测用户是否登录
$MB->Open('','login');

$skin->WebTop();


echo('
<script language="javascript" type="text/javascript" src="js/inc/list.js?v='. OT_VERSION .'"></script>
<script language="javascript" type="text/javascript" src="js/makeDiy.js?v='. OT_VERSION .'"></script>
');


switch ($mudi){
	case 'manage':
//		$MB->IsSecMenuRight('alertBack',132,$dataType);
		manage();
		break;

	default:
		die('err');
}

$skin->WebBottom();

$MB->Close();
$DB->Close();





function manage(){
	global $DB,$MB,$skin,$mudi,$dataType,$dataTypeCN,$pageCount,$recordCount;

	$dataMode	= OT::GetStr('dataMode');
	$dataModeStr= OT::GetStr('dataModeStr');

	$skin->TableTop2('share_list.gif','',$dataTypeCN .'管理');
	$skin->TableItemTitle('4%,4%,15%,16%,16%,12%,14%,5%,6%,8%','编号,ID,名称,电脑版文件路径,手机版文件路径,随机验证码,HTML文件名,排序,状态,修改　删除');

	$pageSize	= $MB->mMbRow['MB_itemNum'];		//每页条数
	$page		= OT::GetInt('page');
	$showRow=$DB->GetLimit("select * from ". OT_dbPref ."makeDiy order by MD_rank ASC",$pageSize,$page);
	if (! $showRow){
		// $skin->TableNoData();
	}else{
		$recordCount=$DB->GetRowCount();
		$pageCount=ceil($recordCount/$pageSize);
		if ($page < 1 || $page > $pageCount){$page=1;}

		echo('
		<tbody class="tabBody padd3td">
		');
		$number=1+($page-1)*$pageSize;
		$rowCount = count($showRow);
		for ($i=0; $i<$rowCount; $i++){
			if ($i % 2 == 1){ $bgcolor='class="tabColorTr"'; }else{ $bgcolor=''; }
			$eventStr = '';
			if (Is::InstrChecked($showRow[$i]['MD_event'],'|301|')){
				$eventStr .= '[强制跳转]';
			}

			echo('
			<tr id="data'. $showRow[$i]['MD_ID'] .'" '. $bgcolor .'>
				<td align="center">'. $number .'</td>
				<td align="center">'. $showRow[$i]['MD_ID'] .'</td>
				<td align="center">'. $showRow[$i]['MD_theme'] .'</td>
				<td align="left" style="padding-left:8px;"><a href="../'. $showRow[$i]['MD_path'] .'" class="font1_2" target="_blank">'. $showRow[$i]['MD_path'] .'</a></td>
				<td align="left" style="padding-left:8px;"><a href="../wap/'. $showRow[$i]['MD_pathWap'] .'" class="font1_2" target="_blank">'. $showRow[$i]['MD_pathWap'] .'</a></td>
				<td align="center">'. $showRow[$i]['MD_rnd'] .'</td>
				<td align="center"><a href="../'. $showRow[$i]['MD_htmlName'] .'" class="font1_2" target="_blank">'. $showRow[$i]['MD_htmlName'] .'</a><div style="color:red;">'. $eventStr .'</div></td>
				<td align="center">'. $showRow[$i]['MD_rank'] .'</td>
				<td align="center">'. Adm::SwitchBtn('makeDiy',$showRow[$i]['MD_ID'],$showRow[$i]['MD_state'],'state') .'</td>
				<td align="center">
					<img src="images/img_rev.gif" style="cursor:pointer;" onclick=\'DataDeal.location.href="makeDiy_deal.php?mudi=send&dataType='. $dataType .'&dataTypeCN='. urlencode($dataTypeCN) .'&dataMode='. $dataMode .'&dataModeStr='. $dataModeStr .'&dataID='. $showRow[$i]['MD_ID'] .'&typeNum='. $number .'"\' alt="" />&ensp;&ensp;
					<img src="images/img_del.gif" style="cursor:pointer;" onclick=\'if(confirm("确定删除？")==true){DataDeal.location.href="makeDiy_deal.php?mudi=del&dataType='. $dataType .'&dataTypeCN='. urlencode($dataTypeCN) .'&theme='. urlencode($showRow[$i]['MD_theme']) .'&dataID='. $showRow[$i]['MD_ID'] .'"}\' alt="" />
				</td>
			</tr>
			');
		$number ++;
		}
		echo('
		</tbody>
		');
	}
	unset($showRow);
		
	echo('
	<form method="post" id="dealForm" name="dealForm" action="makeDiy_deal.php?mudi=add" onsubmit="return CheckForm()">
	<script language="javascript" type="text/javascript">document.write(\'<input type="hidden" name="backURL" value="\'+ document.location.href +\'">\')</script>
	<input type="hidden" id="dataType" name="dataType" value="'. $dataType .'" />
	<input type="hidden" id="dataTypeCN" name="dataTypeCN" value="'. $dataTypeCN .'" />
	<input type="hidden" id="dataID" name="dataID" value="0" />
	<tr class="tabWriteTr">
		<td id="numID" align="center"><br /></td>
		<td><br /></td>
		<td align="center"><input type="text" id="theme" name="theme" size="20" style="width:140px;" /></td>
		<td align="center"><input type="text" id="path" name="path" size="20" style="width:140px;" /></td>
		<td align="center"><input type="text" id="pathWap" name="pathWap" size="20" style="width:140px;" /></td>
		<td align="center"><input type="text" id="rnd" name="rnd" size="3" style="width:90px;" maxlength="8" />&ensp;<input type="button" value="随机" onclick=\'$id("rnd").value=RndNum(8);\' /></td>
		<td align="center">
			<input type="text" id="htmlName" name="htmlName" size="8" style="width:130px;" />
			<div>
				<label><input type="checkbox" id="event_301" name="event[]" value="|301|" />强制跳转</label>
			</div>
		</td>
		<td align="center"><input type="text" id="rank" name="rank" size="3" value="'. (intval($DB->GetOne("select max(MD_rank) from ". OT_dbPref ."makeDiy"))+10) .'" onkeyUp="this.value=FiltInt(this.value)" /></td>
		<td align="center"><select id="state" name="state"><option value="1">显示</option><option value="0">隐藏</option></select></td>
		<td align="center"><input id="subButton" type="image" src="'. AdmTpl::ImgSrc('button_add') .'" /></td>
	</tr>
	</form>
	');

	$skin->TableBottom2($pageCount, $pageSize, $recordCount);


}

?>